import {
  AccountParams,
  DeptListItem,
  MenuParams,
  RoleParams,
  RolePageParams,
  MenuListGetResultModel,
  DeptListGetResultModel,
  AccountListGetResultModel,
  RolePageListGetResultModel,
  RoleListGetResultModel,
} from '../../demo/model/systemModel';
import { defHttp } from '@/utils/http/axios';


enum Api {
  DeptList = '/system/dept/listAll',
  statusChangeApi = '/system/dept/statusChange/',
  deleteByIdApi = '/system/dept/deleteLogical/',
  addDeptApi = '/system/dept/add',
  updateDeptApi = '/system/dept/update/',
  getDeptDetailsApi = '/system/dept/detail/',
  listDeptExcludeChildApi = '/system/dept/list/exclude/',
}
/** 列表查询*/
export const getDeptList = (params: any) =>
  defHttp.get<DeptListGetResultModel>({ url: Api.DeptList, params });

/** 部门状态修改*/
export const statusChange = (params: any) =>
  defHttp.put({ url: Api.statusChangeApi+params.businessId,params });

export const deleteById = (params?: any) =>
  defHttp.delete<any>({ url: Api.deleteByIdApi +params.id });

/** 部门新增*/
export const addDept = (params: any) =>
  defHttp.post({
    url: Api.addDeptApi,
    params: params,
  });
/** 部门编辑*/
export const updateDept = (params: any) =>
  defHttp.put({
    url: Api.updateDeptApi + params.businessId,
    params: params,
  });
/** 部门详情*/
export const getDeptDetails = (params:any) =>
  defHttp.get<any>({ url: Api.getDeptDetailsApi + params.id });
/** 查询部门列表（排除节点）*/
export const listDeptExcludeChild = (params:any) =>
  defHttp.get<any>({ url: Api.listDeptExcludeChildApi + params.id });
