import {
  AccountParams,
  DeptListItem,
  MenuParams,
  RoleParams,
  RolePageParams,
  MenuListGetResultModel,
  DeptListGetResultModel,
  AccountListGetResultModel,
  RolePageListGetResultModel,
  RoleListGetResultModel,
  DictParams,
  DictPageParams,
  DictAddParams,
  DictEditParams,
  DictPageListGetResultModel,
  DictListGetResultModel,
  DictDataAddParams,
} from '../../demo/model/systemModel';
import { defHttp } from '@/utils/http/axios';

enum Api {
  changeFlag = '/system/dict/type/update/',
  changeDataFlagApi = '/system/dict/data/update/',
  addTypeDict = '/system/dict/type/add',
  addDataDict = '/system/dict/data/add',
  dictDetail = '/system/dict/type/detail/',
  dictDataDetail = '/system/dict/data/detail/',
  dictDataList = '/system/dict/data/list',
  dictPageList = '/system/dict/type/list',
  deleteById = '/system/dict/type/deleteLogical/',
  deleteDataById = '/system/dict/data/deleteLogical/',
  exportApi = '/system/dict/type/export',
  getDictDataByType = '/system/dict/data/type/'
}

/** 字典Add*/
export const addDictType = (params: DictAddParams) =>
  defHttp.post({
    url: Api.addTypeDict,
    params: params,
  });

/** 字典数据Add*/
export const addDictData = (params: any) =>
  defHttp.post({url: Api.addDataDict, params: params,
  });

/** 获取字典详情信息*/
export const DictDetailApi = (params: any) => defHttp.get<any>({ url: Api.dictDetail + params });

/** 字典状态启用停用编辑*/
export const changeFlagApi = (params: any) =>
  defHttp.put<any>({
    url: Api.changeFlag + params.businessId,
    data: params,
  });

/** 获取字典数据详情信息*/
export const DictDataDetailApi = (params: any) =>
  defHttp.get<any>({ url: Api.dictDataDetail+params });

/** 字典详情状态启用停用编辑*/
export const changeDataFlagApi = (params: any) =>
  defHttp.put<any>({
    url: Api.changeDataFlagApi + params.businessId,
    data: params,
  });

/** 获取字典列表信息*/
export const getDictListByPage = (params?: any) =>
  defHttp.get<any>({ url: Api.dictPageList, params });

/** 获取字典数据信息*/
export const getDictDataListByPage = (params?: any) =>
  defHttp.get<any>({ url: Api.dictDataList, params });

/** 删除字典中的数据*/
export const deleteDataById = (params?: any) =>
  defHttp.delete<any>({ url: Api.deleteDataById+params });

/** 删除字典*/
export const deleteById = (params?: any) =>
  defHttp.delete<any>({ url: Api.deleteById+params });

/** 角色列表导出*/
export const exportDictList = (params: AccountParams) =>
  defHttp.get<AccountListGetResultModel>({ url: Api.exportApi, params , responseType: 'blob'});

/** 通过字典类型获取字典数据信息*/
export const getDictDataByType = (params?: any) =>
  defHttp.get<any>({ url: Api.getDictDataByType+params });
