import {
  AccountParams,
  DeptListItem,
  MenuParams,
  RoleParams,
  RolePageParams,
  MenuListGetResultModel,
  DeptListGetResultModel,
  AccountListGetResultModel,
  RolePageListGetResultModel,
  RoleListGetResultModel,
} from '../../demo/model/systemModel';
import { defHttp } from '@/utils/http/axios';

enum Api {
  deleteById = '/system/menu/deleteLogical/',
  setMenuStatus = '/system/menu/statusChange/',
  menuPageList = '/system/menu/list',
  menuDetail = '/system/menu/detail/',
  addMenu =  '/system/menu/add',
  updataMenu = '/system/menu/update/',
  menuList = '/system/menu/list',
  menuSelectList = '/system/menu/treeSelect',
  roleMenuSelected = '/system/menu/roleMenuTreeSelect/',
  treeSelectMC = '/system/menu/treeSelectMC/'
}


/** 删除菜单*/
export const deleteById = (params?: any) =>
  defHttp.delete<any>({ url: Api.deleteById + params });

/** 获取菜单详情信息*/
export const menuDetailApi = (params: any) =>
  defHttp.get<any>({ url: Api.menuDetail + params });

/** 获取菜单列表信息*/
export const getMenuListByPage = (params?: any) =>
  defHttp.get<any>({ url: Api.menuPageList, params });

/** 修改菜单状态*/
export const setMenuStatus = (params: any) =>
  defHttp.put({ url: Api.setMenuStatus+params.businessId,params });

/** 新增菜单*/
export const addMenuApi = (params: any) =>
  defHttp.post({ url: Api.addMenu, params: params });

/** 修改菜单*/
export const menuUpdataApi = (params: any) =>
  defHttp.put<any>({
    url: Api.updataMenu+params.businessId,
    params: params,
  });

/** 获取菜单列表信息*/
export const getMenuList = (params?: any) =>
  defHttp.get<any>({ url: Api.menuList, params });

/** 获取菜单列表信息*/
export const getMenuSelect = (params?: any) =>
  defHttp.get<any>({ url: Api.menuSelectList });

/** 获取角色已选择的菜单*/
export const getRoleMenuSelected = (params?: any) =>
  defHttp.get<any>({ url: Api.roleMenuSelected + params.businessId });

/** 获取角色已有的菜单*/
export const getRoleMenuSelectedMC = (params?: any) =>
  defHttp.get<any>({ url: Api.treeSelectMC + params.businessId });
