import {
  AccountParams,
  DeptListItem,
  MenuParams,
  RoleParams,
  RolePageParams,
  MenuListGetResultModel,
  DeptListGetResultModel,
  AccountListGetResultModel,
  RolePageListGetResultModel,
  RoleListGetResultModel,
} from '../../demo/model/systemModel';
import { defHttp } from '@/utils/http/axios';

enum Api {
  deleteById = '/system/role/deleteLogical/',
  setRoleStatus = '/system/role/changeStatus',
  RolePageList = '/system/role/list',
  roleDetail = '/system/role/detail/',
  GetAllRoleList = '/system/role/listAll',
  addRole =  '/system/role/add',
  updataRole = '/system/role/update/',
  exportApi = '/system/role/export',
  addDataScopeApi = '/system/role/dataScope',
  roleDeptTreeSelect = '/system/dept/roleDeptTreeSelect/'
}


export const getAllRoleList = (params?: RoleParams) =>
  defHttp.get<RoleListGetResultModel>({ url: Api.GetAllRoleList, params });

/** 删除角色*/
export const deleteById = (params?: any) =>
  defHttp.delete<any>({ url: Api.deleteById+params });

/** 获取角色详情信息*/
export const roleDetailApi = (params: any) =>
  defHttp.get<any>({ url: Api.roleDetail + params });

/** 获取角色列表信息*/
export const getRoleListByPage = (params?: any) =>
  defHttp.get<any>({ url: Api.RolePageList, params });

/** 修改角色状态*/
export const setRoleStatus = (params: any) =>
  defHttp.put({ url: Api.setRoleStatus, params: params });

/** 新增角色*/
export const addRoleApi = (params: any) =>
  defHttp.post({ url: Api.addRole, params: params });

/** 修改角色*/
export const roleUpdataApi = (params: any) =>
  defHttp.put<any>({
    url: Api.updataRole+params.businessId,
    params: params,
  });

/** 角色列表导出*/
export const exportRoleList = (params: AccountParams) =>
  defHttp.get<AccountListGetResultModel>({ url: Api.exportApi, params , responseType: 'blob'});

/** 新增角色数据权限*/
export const addDataScopeApi = (params: any) =>
  defHttp.put({ url: Api.addDataScopeApi, params: params });

/** 校验角色和菜单信息*/
export const getRoleDeptTreeSelect = (params: any) =>
  defHttp.get<any>({ url: Api.roleDeptTreeSelect + params.roleId +'/'+ params.menuId });
